#include <bits/stdc++.h>
using namespace std;

int func(string s){
    int counter = 1;
    for(int i = 1; i < s.length(); i ++){
        if(s[i] - 0 < s[i - 1] - 0){
            counter ++;
        }
    }
    return counter;
}

int main() {
    string s;
    cin >> s;
    int n;
    cin >> n;
    int l, r;
    for(int i = 0; i < n; i ++){
        cin >> l >> r;
        cout << func(s.substr(l, r - l)) << endl;
    }
}
